This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 737385 - [PATCH] Sync FFLAGS and LDFLAGS in the %cmake macro with redhat-rpm-config
[PATCH] Sync FFLAGS and LDFLAGS in the %cmake macro with redhat-rpm-config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-11 13:50 EDT by Ville Skyttä
Modified: 2011-09-13 17:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-13 17:57:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Sync FFLAGS and LDFLAGS in the %cmake macro with redhat-rpm-config (1.58 KB, patch)
2011-09-11 13:50 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2011-09-11 13:50:18 EDT
Created attachment 522615 [details]
Sync FFLAGS and LDFLAGS in the %cmake macro with redhat-rpm-config

The attached patch syncs %cmake's FFLAGS and LDFLAGS with redhat-rpm-config's %configure macro:

redhat-rpm-config's %configure adds -I%_fmoddir to FFLAGS and defines %_fmoddir.  After this patch, %cmake adds it as well if %_fmoddir is defined.

Similarly, redhat-rpm-config defines LDFLAGS via %__global_ldflags; after this patch %cmake defines LDFLAGS as well if %__global_ldflags is defined.  More background info: http://lists.fedoraproject.org/pipermail/devel/2011-August/155358.html
Comment 1 Orion Poplawski 2011-09-13 17:57:35 EDT
Thanks.  Applied.  One wonders if these shouldn't be encapsulated in some kind of %set_flags macro.

Note You need to log in before you can comment on or make changes to this bug.